import ajax from '../utils/request.js'


export default {
	doLogin(data) {
		return ajax.postForm('/api/doLogin', data)
	},
	doLoginByOpenid(data) {
		return ajax.postForm('/api/doLoginByOpenid', data)
	},
	register(data) {
		return ajax.postForm('/api/register', data)
	},
	getItemList(data) {
		return ajax.get('/TbItemType/getList',data)
	},
	getCustomerList(data) {
		return ajax.get('/TbCostomer/getList', data)
	},
	getCurrentAuthCode(){
		return ajax.get('/admin/getCurrentAuthCode')
	},
	getCarList() {
		return ajax.get('/TbCar/getList', {
			pageNo: 1,
			pageSize: 500
		})
	},
	getDriverList() {
		return ajax.get('/TbDriver/getList', {
			pageNo: 1,
			pageSize: 500
		})
	},
	getGoodsList() {
		return ajax.get('/TbGoods/getList', {
			pageNo: 1,
			pageSize: 50
		})
	},
	saveBusiness(data) {
		return ajax.postForm('/TbBusiness/add', data)
	},
	getBusinessList(data) {
		return ajax.get('/TbBusiness/getList', data)
	},
	adminConfirmPay(data) {
		return ajax.postForm('/TbBusiness/adminConfirmPay', data)
	},
	adminConfirmIn(data) {
		return ajax.postForm('/TbBusiness/adminConfirmIn', data)
	},
	getInOutRecord(data) {
		//return ajax.get('/api/getInOutRecord', data)
		return ajax.get('/TbBusinessCar/getList', data)
	},
	getCustomerList(data) {
		return ajax.get('/api/getCustomerList', data)
	},
	confirmCustomer(data) {
		return ajax.postForm('/api/confirmCustomer', data)
	},
	deleteHsPeople(data) {
		return ajax.postForm('/TbBusinessPeople/deleteById', data)
	},
	getCurrentPerCode() {
		return ajax.get('/SpRolePermission/getPcodeByCurrRid')
	},
	getBusinessById(data) {
		return ajax.get('/TbBusiness/getById', data)
	},
	confirmBusiness(data) {
		return ajax.postForm('/TbBusiness/confirm', data)
	},
	confirmPay(data) {
		return ajax.postForm('/TbBusiness/pay', data)
	},
	adminSetIn(data) {
		return ajax.postForm('/TbBusiness/adminSetIn', data)
	},
	calJwPartMoney(data) {
		return ajax.postForm('/TbBusiness/calJwPartMoney', data)
	},
	calChinaPartMoney(data) {
		return ajax.postForm('/TbBusiness/calChinaPartMoney', data)
	},
	completeOrder(data) {
		return ajax.postForm('/TbBusiness/complete', data)
	},
	adminSetOut(data) {
		return ajax.postForm('/TbBusiness/adminOut', data)
	},
	deleteBusiness(data) {
		return ajax.postForm('/TbBusiness/delete', data)
	},
	getBusinessPeople(data) {
		return ajax.get('/TbBusinessPeople/getList', data)
	},
	getCustomerById(data) {
		return ajax.get('/TbCostomer/getById', data)
	},
	editCustomer(data) {
		return ajax.postForm('/TbCostomer/update', data)
	},
	judgeCustomer(data) {
		return ajax.postForm('/TbCostomer/judge', data)
	},
	getUnitList() {
		return ajax.get('/TbUnit/getList')
	},
	// getPrePay(data) {
	// 	return ajax.get('/wx/pre-pay', data)
	// },
	getPrePay(data) {
		return ajax.get('/jh/init-pay', data)
	},
	checkPayResult(data){
		return ajax.get('/jh/check-pay-result', data)
	},
	getRedirectUrl(data) {
		return ajax.get('/wx/getRedirectUrl', data)
	},
	getOpenidByCode(data) {
		return ajax.get('/wx/getOpenidByCode', data)
	},
	searchPartCar(data) {
		return ajax.get('/api/searchPartCar', data)
	},
	getBusinessMoney(data) {
		return ajax.get('/api/getBusinessMoney', data)
	},

	getWxConfig(data) {
		return ajax.get('/wx/getWxConfig', data)
	},
	getPartCarByChannel(data) {
		return ajax.get('/api/getPartCarByChannel', data)
	},
	addDeclare(data) {
		return ajax.postJson('/api/addDeclare', data)
	},
	addDisinfect(data) {
		return ajax.postJson('/api/addDisinfect', data)
	},
	uploadReport(data) {
		return ajax.postJson('/TbBusiness/uploadReport', data)
	},
	getDeclareList(data) {
		return ajax.get('/api/getDeclareList', data)
	},
	getAccountInfo() {
		return ajax.get('/api/getAccountInfo')
	},
	getDiscountInfo() {
		return ajax.get('/api/getDiscountInfo')
	},
	getBusinessItem(data) {
		return ajax.get('/api/getBusinessItem', data)
	},
	pickBusinessItem(data) {
		return ajax.postForm('/api/pickBusinessItem', data)
	},
	confirmBusinessItem(data) {
		return ajax.postForm('/api/confirmBusinessItem', data)
	},
	getPartnerBusinessItem(data) {
		return ajax.get('/api/getPartnerBusinessItem', data)
	},
	checkUserType() {
		return ajax.get('/api/checkUserType')
	},
	getRoleList(data){
		return ajax.get('/role/getCustomerRoleList',data)
	},
	getUserList(data){
	 return ajax.get('/admin/getCustomerAdminList',data)	
	},
	addCustomerAdmin(data){
		return ajax.postForm('/admin/addCustomerAdmin',data)
	},
	editCustomerAdmin(data){
		return ajax.postForm('/admin/editCustomerAdmin',data)
	},
	adminConfirm(data){
		return ajax.postForm('/TbBusiness/confirm',data)
	},
	addCarDisinfect(data){
		return ajax.postJson('/api/addCarDisinfect',data)
	},
	editCarDisinfect(data){
		return ajax.postJson('/api/editCarDisinfect',data)
	},
	getCarDisinFect(data){
		return ajax.get('/TbBusiness/getCarDisincleList',data)	
	},
	getItemType(data){
		return ajax.get('/TbItemType/getItemTypeById',data);
	},
	getOtherBusinessById(data){
		return ajax.get('/TbBusiness/getOtherBusinessById',data)
	},
	getItemTypeList(data){
		return ajax.get('/TbItemType/getList',data)
	},
	getItemTypeEnum(){
		return ajax.get('/TbItem/getItemType')
	},
	searchCar(data){
		return ajax.get('/TbBusinessCar/searchInNotOutCar',data)
	}
	
}
